import { Connection } from '@solana/web3.js';
import { LiquidityPoolVenues } from './types';
export declare function getMainnetTokens(): Tokens[];
export declare function getMainnetRaydiumLpTokens(): LpToken[];
export declare function getMainnetOrcaLpTokens(connection: Connection): LpToken[];
export declare function getAllMainnetLpTokens(connection: Connection): LpToken[];
export interface Tokens {
    readonly value: string;
    readonly label: string;
    readonly logo: string;
    readonly mint: string;
    readonly decimals: number;
}
export interface LpToken {
    readonly value: string;
    readonly label: string;
    readonly baseLogoUrl: string;
    readonly quoteLogoUrl: string;
    readonly baseMint: string;
    readonly quoteMint: string;
    readonly lpTokenMint: string;
    readonly decimals: number;
    readonly venue: LiquidityPoolVenues;
}
