import { Cluster, Signer, Transaction } from '@solana/web3.js';
import { RouteInfo } from '@jup-ag/core';
export declare enum LiquidityPoolVenues {
    RAYDIUM = "RAYDIUM",
    ORCA = "ORCA"
}
export interface TransactionWrapper {
    transaction: Transaction;
    signers?: Signer[];
}
export interface TokenInfo {
    address: string;
    decimals: number;
}
export interface Swap {
    transactions: Transaction[];
    prices: PriceInfos;
    tokenInfos: TokenInfos;
    routes: Routes;
}
export interface Routes {
    base: RouteInfo;
    quote: RouteInfo;
}
export interface PriceInfos {
    input: number;
    base: number;
    quote: number;
}
export interface TokenInfos {
    input: TokenInfo;
    base: TokenInfo;
    quote: TokenInfo;
}
export interface ZapTransactionsAndMeta {
    swapTransactions: Transaction[];
    addLiquidityTransaction: TransactionWrapper;
    routes: Routes;
    prices: PriceInfos;
    tokenInfos: TokenInfos;
}
export declare type ProgramType = 'Synthetics' | 'FAB-Faucet' | 'USDC-Faucet';
export declare type Network = Cluster | "localhost" | "localnet";
